import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./hot-spot.stories";

<Meta of={ComponentStories} name="Docs" />

# Hot Spot

The HotSpot module is a collection of components that allow you to create multiple hotspot on top of an image.
The HotSpots can be clicked to change the contents of the info box below the image. A HotSpot can be used in multiple configurations:

-   With a number
-   With an icon (will be displayed in a larger circle)
-   with a bullet point
-   empty (will be displayed as an empty circle)

In adition the HotSpot accepts an optional slot for a title,
that is displayed inside the HotSpot when the hotspot is hovered on desktop screens.

The margin of the info box below the image can be adjusted using the CSS property `--ux-iws-hot-spot-info-box-margin`.
This enables you to change the position of the info box.

**See Hot Spot Nav Story on how the components are used together.**

<Canvas of={ComponentStories.Default}></Canvas>

## Developer Documentation

<Controls />
